<?php include "includes/header.php";




if(isset($_POST['submitTime'])){
            
    $hora_saida = $_POST['hora_saida'];
    $hora_entrada = $_POST['hora_entrada'];
    $data_lancamento = $_POST['data_lancamento'];
    $now = date('Y-m-d');
    $user = $_SESSION['nome'];   
    $nome = $_POST['nome']; 

    $horasTrabalho = $hora_saida - $hora_entrada;

     $verificaExiste = $database->query("SELECT * FROM assiduidade WHERE nome='$nome' AND data='$now'");
     $count = mysqli_num_rows($verificaExiste);

     if($count == 1){
        echo "<script>alert('Assiduaidade de $nome nessa data de $now ja foi lancada.')</script>"; 
        echo "<script>window.open('assiduidade.php','_self')</script>";
    
    }elseif($data_lancamento > $now){
        echo "<script>alert('Operacao recusada , ainda nao estamos no dia $data_lancamento')</script>"; 
        echo "<script>window.open('assiduidade.php','_self')</script>";

    }else{

    $assiuidade = $database->query("INSERT INTO assiduidade (nome,hora_entrada,hora_saida,horasTrabalho,data_lancamento,data,hora,usuario)
    VALUES('$nome','$hora_entrada','$hora_saida','$horasTrabalho','$data_lancamento','$now','$hora','$user')");
    
    if($assiuidade){
        echo "<script>alert('Assiduaidade de $data_lancamento lancado com sucesso')</script>"; 
        echo "<script>window.open('assiduidade.php','_self')</script>";
    }else{

        echo "<script>alert('Ocorreu um erro')</script>"; 
        echo "<script>window.open('assiduidade.php','_self')</script>";
    }
}
    
  }









?>